### Method

# St ThemeContext set_font

#### Declaration [src]

    void
    st_theme_context_set_font (
      StThemeContext* context,
      const PangoFontDescription* font
    )

#### Description [src]

Sets the default font for the theme context. This is the font that is inherited by the root node of the tree of theme nodes. If the font is not overridden, then this font will be used. If the font is partially modified (for example, with ‘font-size: 110%’), then that modification is based on this font.

#### Parameters

`font`

  Type: `PangoFontDescription`

  The default font for theme context.

  The data is owned by the caller of the method.